package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 交易类型表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-01 11:57
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_TRANS_TYPE")
@DynamicInsert
@DynamicUpdate
@Api(value="交易类型表",description = "交易类型表")
public class WmsTransType extends BaseBean{

    @Column(name="TRANS_CODE")
    @ApiParam(value ="交易代码")
    private String transCode;

    @Column(name="TRANS_NAME")
    @ApiParam(value ="交易名称")
    private String transName;

}
